# SPDX-License-Identifier: GPLv3-or-later
#
# SPDX-FileCopyrightText: Louis Moureaux <louis.moureaux@cern.ch>

set(DOXYGEN_PROJECT_LOGO "${CMAKE_CURRENT_LIST_DIR}/logo.jpg")
set(DOXYGEN_PROJECT_NAME DAS)

set(DOXYGEN_BRIEF_MEMBER_DESC NO)
set(DOXYGEN_ABBREVIATE_BRIEF "$name header")
set(DOXYGEN_ALWAYS_DETAILED_SEC YES)
set(DOXYGEN_BUILTIN_STL_SUPPORT YES)

set(DOXYGEN_EXTRACT_ALL YES)
set(DOXYGEN_EXTRACT_PRIVATE YES)
set(DOXYGEN_EXTRACT_PACKAGE YES)
set(DOXYGEN_EXTRACT_STATIC YES)
set(DOXYGEN_EXTRACT_LOCAL_METHODS YES)

set(DOXYGEN_HIDE_SCOPE_NAMES YES)
set(DOXYGEN_HIDE_COMPOUND_REFERENCE YES)
set(DOXYGEN_SORT_MEMBERS_CTORS_1ST YES)
set(DOXYGEN_LAYOUT_FILE "${CMAKE_CURRENT_LIST_DIR}/Doxylayout.xml")
set(DOXYGEN_EXCLUDE_SYMLINKS YES)
set(DOXYGEN_USE_MDFILE_AS_MAINPAGE YES)
set(DOXYGEN_INLINE_SOURCES YES)

set(DOXYGEN_HTML_TIMESTAMP YES)
set(DOXYGEN_HTML_DYNAMIC_SECTIONS YES)
set(DOXYGEN_GENERATE_TREEVIEW YES)
set(DOXYGEN_USE_MATHJAX YES)
set(DOXYGEN_SEARCHENGINE_URL "https://www.qwant.com")
